#!/bin/sh
# -*- coding: utf-8 -*-
# 
# Copyright 2012-2015 Frédéric Magniette, Miguel Rubio-Roy
# This file is part of Pyrame.

treat_res() {
    read RES
    export RETCODE=$RES
    read RES
    export RETSTR=$RES 
}

submod_setres() {
    echo "retcode=$1"
    echo "retstr=$2"
    echo "+++setres"
    echo "$1"
    echo "$2"
}

submod_setvar() {
    echo "+++callwrap"
    echo "setvar"
    echo $1
    echo $2
    echo $3
    echo $4
    treat_res
}

submod_getvar() {
    echo "+++callwrap"
    echo "getvar"
    echo $1
    echo $2
    treat_res
}

submod_delvar() {
    echo "+++callwrap"
    echo "delvar"
    echo $1
    echo $2
    treat_res
}

submod_execcmd() {
    echo "+++execcmd"
    echo "$#"
    for arg in "$@"
    do
        echo "$arg"
    done
    treat_res
}

submod_setmyport() {
    submod_setvar "system" "listen_port" $1 0
}

submod_getmyport() {
    submod_getvar "system" "listen_port" 
}

submod_getmyfile() {
    submod_getvar "system" "code_file_name"
}

internal_execcmd() {
    #echo "internal_execcmd printing"
    "$@"
    echo "+++eot"
}

init() {
    echo "predefined init"
}

deinit() {
    echo "predefined deinit"
}
