#ifndef CMDMOD_WRAP_H
#define CMDMOD_WRAP_H

struct submod_wrapper {
  char *name;
  struct cmd_result *(* wrapper)(char **);
  int nb_args;
  struct submod_wrapper *next;
};

struct wrapenv {
  struct submod_wrapper *wrappers;
};

//wrappers table functions
struct wrapenv *new_wrapenv(void);
void add_wrapper(struct wrapenv *we,char *name,struct cmd_result *(* wrapper)(char **),int nb_args);
struct submod_wrapper *lookup_wrapper(struct wrapenv *we,char *name);


#endif
