//
// Copyright 2012-2014 Frédéric Magniette, Miguel Rubio-Roy, LLR
//

#include <pyrame.h>

//*********************************** DUMPER *************************

void newevt(void *workspace,struct event *e) {
  print_event(e);
}

void newblock(void *workspace,struct block *b) {
  print_block(b);
}

void endblock(void *workspace,struct block *b) {
  printf("end of block\n");
}

void reinit(void *workspace) {
  printf("reinit\n");
}


int main(int argc,char **argv) {

  //check arg number
  if (argc<1) {
    printf("usage for socket reading : %s ds_name\n",argv[0]);
    exit(0);
  }
  
  struct evloop *loop=new_event_loop(argv[1],NULL,newevt,newblock,endblock,reinit,'f');
  run_loop(loop);
  while(1) {
    sleep(10);
  }
  return 1;
}
