//
// Copyright 2012-2014 Frédéric Magniette, Miguel Rubio-Roy, LLR
//

#include <stdio.h>
#include <unistd.h>
#include <stdlib.h>
#include <string.h>
#include <stdarg.h>

#include "../cmd_converter.h"

#define NB_SCA 16

#define loss_code         0xfffa
#define start_spill_code  0xfffc
#define stop_spill_code   0xffff
#define spill_header      "\xfc\xff"
#define spill_trailer     "\xff\xff"
#define start_chip_code   0xfffd
#define stop_chip_code    0xfffe
#define chip_trailer      "\xfe\xff"

struct map_cell {
  int c;
  int l;
  int x;
  int y;
} mapcell;

struct skiroc2cms_ws {
  unsigned int current_spill;
  unsigned int current_chip;
  unsigned int spill_offset;
  unsigned int spill_cumul;
  int dif;
  struct block *block;
  struct evtstructelem *ese_spill,*ese_p,*ese_z;
  struct evtstructelem *ese_bcid,*ese_time;
  struct evtstructelem *ese_roc,*ese_chan,*ese_c,*ese_l,*ese_x,*ese_y;
  struct evtstructelem *ese_hit,*ese_en,*ese_en2;
  void *root_tree;
};
