/*
 * Copyright 2012-2017 Frédéric Magniette, Miguel Rubio-Roy
 * This file is part of Pyrame.
 *
 * Pyrame is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Pyrame is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with Pyrame.  If not, see <http://www.gnu.org/licenses/>
 * */

struct conv_ws;

//the function provided to the plugins
void new_event(struct conv_ws *ws,int block,char *time,char *space,char *data);
void new_prop(struct conv_ws *ws,int block,char *prop);
int request_new_data(struct conv_ws *ws,char * buffer);
void inc_stat(struct conv_ws *ws,char * stat_name,int value);
void update_clock(struct conv_ws *ws,char * new_clock);

//new API all function returns -1 if there happens a read error; 0 for success
/*int init_ribbon(struct conv_ws *ws,int ribbon_size);
int read_until(struct conv_ws *ws,char *pattern,char **buffer);
int seek_back(struct conv_ws *ws,int nb_bytes);
int seek_for(struct conv_ws *ws,int nb_bytes);
int read_nb(struct conv_ws *ws,int nb_bytes,char **buffer);
int skip_nb(struct conv_ws *ws,int nb_bytes);
int forget_before_curent(struct conv_ws *ws);
int cur_char(struct conv_ws *ws,char *c);*/
