#!/bin/bash
# -*- coding: utf-8 -*-
# 
# Copyright 2012-2017 Frédéric Magniette, Miguel Rubio-Roy
# This file is part of Pyrame.

cat /opt/pyrame/ports.d/* > /opt/pyrame/ports.txt
rm -f /opt/pyrame/ports.sh
echo "#!/bin/bash" >> /opt/pyrame/ports.sh
echo "# -*- coding: utf-8 -*-" >> /opt/pyrame/ports.sh
echo "# " >> /opt/pyrame/ports.sh
echo "# Copyright 2012-2017 Frédéric Magniette, Miguel Rubio-Roy" >> /opt/pyrame/ports.sh
echo "# This file is part of Pyrame." >> /opt/pyrame/ports.sh
for i in `cat /opt/pyrame/ports.txt | grep "_PORT="`
do
  port_name=`echo $i | awk -F= '{ print $1 }'`
  port_number=`echo $i | awk -F= '{ print $2 }'`
  echo "export $port_name=$port_number" >> /opt/pyrame/ports.sh
done
chmod +x /opt/pyrame/ports.sh
