#!/bin/sh
# -*- coding: utf-8 -*-
# 
# Copyright 2012-2017 Frédéric Magniette, Miguel Rubio-Roy
# This file is part of Pyrame.
. /usr/local/bin/unit_test_lib.sh

RUN_G=unit_test_run_group
RUN_G_PATH=home/data/unit_test_run_group
RUN=unit_test_run
RUN_PATH=home/data/unit_test_run_group/unit_test_run
ACQ=unit_test_acq
ACQ_PATH=home/data/unit_test_run_group/unit_test_run
MP=file:///

# clean up unit_test residues
./del_run_group.sh root/$RUN_G true
./del_run.sh root/$RUN true

# create run group and run
exec_n_test ./new_run_group.sh $RUN_G $MP $RUN_G_PATH root
RUN_G_ID=$RETSTR
exec_n_test ./new_run.sh $RUN $MP $RUN_PATH $RUN_G_ID
RUN_ID=$RETSTR
exec_n_test ./new_acq.sh $ACQ $MP $ACQ_PATH $RUN_ID
ACQ_ID=$RETSTR
checkretstr $ACQ ./get_acq_name.sh $ACQ_ID

# remove run group and run
exec_n_test ./del_run_group.sh $RUN_G_ID true
rm -rf /$RUN_G_PATH
