#!/bin/sh
# -*- coding: utf-8 -*-
# 
# Copyright 2012-2017 Frédéric Magniette, Miguel Rubio-Roy
# This file is part of Pyrame.
. /usr/local/bin/unit_test_lib.sh

RUN_G=unit_test_run_group
RUN_G_PATH=home/data/$RUN_G
RUN_G_2=unit_test_run_group_`date -u +%Y%m%d-%H%M%S`
RUN_G_2_PATH=home/data/$RUN_G_2
RUN=unit_test_run
MP=file:///

# clean up unit_test residues
./del_run_group.sh root/$RUN_G true
./del_run.sh root/$RUN true

# in root run group
exec_n_test ./new_run_group.sh $RUN_G $MP $RUN_G_PATH root
RUN_G_ID=$RETSTR
checkretstr $RUN_G ./get_run_group_name.sh $RUN_G_ID

# in run group
exec_n_test ./new_run_group.sh $RUN_G_2 $MP $RUN_G_2_PATH $RUN_G_ID
RUN_G_ID2=$RETSTR
checkretstr $RUN_G_2 ./get_run_group_name.sh $RUN_G_ID2

# delete ALL
exec_n_test ./del_run_group.sh $RUN_G_ID true
rm -rf /$RUN_G_PATH
