#!/bin/sh
# -*- coding: utf-8 -*-
# 
# Copyright 2012-2017 Frédéric Magniette, Miguel Rubio-Roy
# This file is part of Pyrame.
. /usr/local/bin/unit_test_lib.sh

RUN_G=unit_test_run_group
RUN_G_PATH=home/data/$RUN_G
RUN=unit_test_run_`date -u +%Y%m%d-%H%M%S`-UTC
RUN_PATH=home/data/$RUN_G_PATH/$RUN
MP=file:///

# clean up unit_test residues
./del_run_group.sh root/$RUN_G true
./del_run.sh root/$RUN true

# create run group
exec_n_test ./new_run_group.sh $RUN_G $MP $RUN_G_PATH root
RUN_G_ID=$RETSTR
exec_n_test ./new_run.sh $RUN $MP $RUN_PATH $RUN_G_ID
RUN_ID=$RETSTR
checkretstr $RUN ./get_run_name.sh $RUN_ID

# remove run group
exec_n_test ./del_run_group.sh $RUN_G_ID true
rm -rf /$RUN_G_PATH
