#!/usr/bin/env python2
# -*- coding: utf-8 -*-
# 
# Copyright 2012-2017 Frédéric Magniette, Miguel Rubio-Roy
# This file is part of Pyrame.

import sys,pprint
import xml_param_parser

reference={'localhost#domain_ip': u'127.0.0.1',
'localhost#domain_nb_skiroc': u'16',
'storage#storage_brg_mp': u'file:///',
'storage#storage_brg_name': u'prototech',
'storage#storage_brg_path': u'home/data/prototech',
'storage#storage_convert_script': u'none',
'storage#storage_elog_name': u'undef',
'storage#storage_elog_server': u'undef',
'storage#storage_mode': u'append',
'storage#storage_producers_count': u'${count(acqpc)}',
'storage#storage_stats_names': u'nb_data_pkts,nb_lost_pkts,bytes_on_dsk',
'storage#storage_use_rundb': u'1',
'test_smtest#skiroc_bitstream': u'0xf80240305f094a821ce575d77d7dd77df5c4444444444444444444444444444444444444444444444444444444444444442ad3abf8e3fff8fffe3fe38ff8fffe38fffe3fe38ff8e3fe38e07e25',
'test_smtest#smtest_roctype': u'skiroc'}

filename="../rc/scripts/test_rc.xml"
print("checking parsing of xml parameters in %s..."%(filename)),

parser=xml_param_parser.xml_param_parser()

with open(filename,"r") as f:
    xml_config=f.read()

params=parser.parse(xml_config,"true")
if params!=reference:
    pprint.pprint(params)
    print("fail")
    sys.exit(1)
print("success")

sys.exit(0)
