//
// Copyright 2012-2014 Frédéric Magniette, Miguel Rubio-Roy, LLR
//

#include <pyrame.h>

//*********************************** DUMPER *************************

void newevt(void *workspace,struct event *e) {
  //print_event(e);
}

void newblock(void *workspace,struct block *b) {
  print_block(b);
}

void endblock(void *workspace,struct block *b) {
  printf("end of block\n");
}

void reinit(void *workspace) {
  printf("reinit\n");
}


int main(int argc,char **argv) {

  struct cmd_result *pres;
  int i;


  //check arg number
  if (argc<2) {
    printf("usage for socket reading : %s ds_name\n",argv[0]);
    exit(0);
  }
  
  struct evloop *loop=new_event_loop(argv[1],NULL,newevt,newblock,endblock,reinit,'f');
  
  pres=sendcmd("localhost",21000,"registerconsumer_module","end");
  if (pres->retcode==0) {
    printf("cant register consumer : %s\n",pres->str);
    exit(1);
  }
  free_cmd_result(pres);

  sleep(10);
  
  for(i=0;i<100;i++) {
    onestep_loop(loop);
    sleep(3);
  }
  


  return 1;
}
