#!/bin/sh
# -*- coding: utf-8 -*-
# 
# Copyright 2012-2015 Frédéric Magniette, Miguel Rubio-Roy
# This file is part of Pyrame.
. /usr/local/bin/unit_test_lib.sh
. /opt/pyrame/ports.sh

clean_all

exec_subscript ./onelang_test.sh "C"      "cmd_test_c.xml"   "cmd_test_c.so"
exec_subscript ./onelang_test.sh "C++"    "cmd_test_cpp.xml" "cmd_test_cpp.so"
exec_subscript ./onelang_test.sh "LUA"    "cmd_test_lua.xml" "cmd_test_lua.lua"
exec_subscript ./onelang_test.sh "PYTHON" "cmd_test_py.xml"  "cmd_test_py.py"
exec_subscript ./onelang_test.sh "SH"     "cmd_test_sh.xml"  "cmd_test_sh.sh"
if test -f /usr/bin/R; then
  exec_subscript ./onelang_test.sh "R"      "cmd_test_r.xml"   "cmd_test_r.r"
else
  echo "FAIL: Not testing cmdmod_R because R is not installed"
fi

echo
echo
echo "AUTOLAUNCHER TESTS"
echo
autolauncher.py > server.trace 2>&1 &
sleep 1s
exec_n_test ./varmod.sh
exec_n_test ./exit.sh
clean_all

echo "all tests passed"
