#!/usr/bin/env python2
# -*- coding: utf-8 -*-
# 
# Copyright 2012-2017 Frédéric Magniette, Miguel Rubio-Roy
# This file is part of Pyrame.
# 
# Pyrame is free software: you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# 
# Pyrame is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
# 
# You should have received a copy of the GNU Lesser General Public License
# along with Pyrame.  If not, see <http://www.gnu.org/licenses/>

import socket
import sys
import time

if len(sys.argv)<3:
    print("usage: %s ports message"%(sys.argv[0]))
    print("  ports is a comma-separated list of ports to send TEST to.")
    sys.exit(1)

data=sys.argv[2]
ports = sys.argv[1].split(",")
for port in ports:
    port=int(port)
    udpsocket=socket.socket(socket.AF_INET,socket.SOCK_DGRAM)
    print("sending '%s\\n' to port %d"%(data,port))
    addr=("localhost",port)
    udpsocket.sendto(data+"\n",addr)
    udpsocket.close()
sys.exit(0)
