#!/usr/bin/env python2

import bindpyrame,socket,time,sys

if len(sys.argv)!=2:
    print("usage : %s acq_id"%(sys.argv[0]))
    sys.exit(1)

acq_port=bindpyrame.get_port("acq")
while True:
    retcode,res=bindpyrame.sendcmd("localhost",acq_port,"get_ports_acq",sys.argv[1])
    if retcode==0:
        print("cant get logger port : %s"%(res))
    else:
        port=int(res)
        sock=socket.create_connection(("localhost",port))
        print("connected on port %d"%(port))
        while True:
            try:
                line=sock.recv(1)
                if line=="":
                    print("socket closed")
                    break
                sys.stdout.write(line)
            except Exception as e:
                print("stop reading : %s"%(e))
                break
    print("retrying to connect in 5s")
    time.sleep(5)
    
        
    
