#!/usr/bin/env python2
# -*- coding: utf-8 -*-
# 
# Copyright 2012-2017 Frédéric Magniette, Miguel Rubio-Roy
# This file is part of Pyrame.
# 
# Pyrame is free software: you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# 
# Pyrame is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
# 
# You should have received a copy of the GNU Lesser General Public License
# along with Pyrame.  If not, see <http://www.gnu.org/licenses/>

from distutils.core import setup, Extension

bindpyrame_module = Extension('bindpyrame',
                    libraries = ['pyrame'],
                    library_dirs = ['../libpyrame'],
                    sources = ['bindpyrame_py.c'])

setup (name = 'bindpyrame',
       version = '1.0',
       description = 'Python binding to Pyrame',
       ext_modules = [bindpyrame_module])
