#!/bin/sh
# -*- coding: utf-8 -*-
# 
# Copyright 2012-2017 Frédéric Magniette, Miguel Rubio-Roy
# This file is part of Pyrame.
. /usr/local/bin/unit_test_lib.sh
. /opt/pyrame/ports.sh

clean_all

echo
echo
echo "RAWETH TESTS"
echo
cmdmod /opt/pyrame/cmd_raweth.xml > server.trace 2>&1 &
wait_until_awake localhost $RAWETH_PORT
exec_n_test ./send_packet.sh "lo" "ff:ff:ff:ff:ff:ff" "0x810" "0x45,0x45,0x45,0x45,0x45,0x45,0x45,0x45,0x45,0x45,0x45,0x45,0x45,0x45,0x45,0x45,0x45"

clean_all
echo "all tests passed"
