/*
Copyright 2012-2014 Frédéric Magniette, Miguel Rubio-Roy
This file is part of Pyrame.

Pyrame is free software: you can redistribute it and/or modify
it under the terms of the GNU Lesser General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Pyrame is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License
along with Pyrame.  If not, see <http://www.gnu.org/licenses/>
*/

#include "../libpyrame/pyrame.h"
#include "cmdmod.h"

struct inter_ws {
  int fds_t[2];
  int fds_f[2];
  FILE *rfb;
  pid_t pid;
  int treated;
  int retcode;
  char *retstr;
  int prompt_shift;
};

void *init_inter(struct cmdmod_ws *cws,char *execfile,char *vp[]);
void treat_output(struct inter_ws *iws);
struct cmd_result *exec_command_inter(char *command,struct inter_ws *iws);
void send2inter(struct inter_ws *iws,char *format,...);
