#!/bin/sh
# -*- coding: utf-8 -*-
# 
# Copyright 2012-2015 Frédéric Magniette, Miguel Rubio-Roy
# This file is part of Pyrame.
. /usr/local/bin/unit_test_lib.sh
. /opt/pyrame/ports.sh

clean_all

echo
echo
echo "CMOD TESTS"
echo
cmdmod /opt/pyrame/cmd_cmod.xml -d > server.trace 2>&1 &
cmdmod /opt/pyrame/cmd_test_py.xml -d > test.trace 2>&1 &
cmdmod /opt/pyrame/cmd_varmod.xml -d > varmod.trace 2>&1 &
cmdmod /opt/pyrame/cmd_skiroc.xml -d > skiroc.trace 2>&1 &
wait_until_awake localhost $CMOD_PORT
wait_until_awake localhost $TEST_PORT
wait_until_awake localhost $VARMOD_PORT
wait_until_awake localhost $SKIROC_PORT
exec_n_test ./load_config_file.sh test.xml
checkretstr "value1" ./get_param.sh test_1 arg1
exec_n_test ./cmod_resolve.sh
clean_all

#hub test
cmdmod /opt/pyrame/cmd_cmod.xml -d > server.trace 2>&1 &
cmdmod /opt/pyrame/cmd_test_py.xml -d > test.trace 2>&1 &
cmdmod /opt/pyrame/cmd_varmod.xml -d > varmod.trace 2>&1 &
wait_until_awake localhost $CMOD_PORT
wait_until_awake localhost $TEST_PORT
wait_until_awake localhost $VARMOD_PORT
exec_n_test ./load_config_file.sh test_hub.xml
exec_n_test chkpyr2.py localhost $TEST_PORT setvar_varmod varmod default x 2
checkretstr "2" chkpyr2.py localhost $TEST_PORT getvar_varmod varmod default x

clean_all
echo "all test passed"
