#!/bin/sh
# -*- coding: utf-8 -*-
# 
# Copyright 2012-2017 Frédéric Magniette, Miguel Rubio-Roy
# This file is part of Pyrame.
. /usr/local/bin/unit_test_lib.sh
. /opt/pyrame/ports.sh

if test $# -lt 4
then
  echo "usage $0 ds_name data_file schema block_field_id"
  exit 1
fi

cmdmod /opt/pyrame/cmd_converter.xml -a $1 "file://$2" /opt/pyrame/hle_decoder.so "$3" "$4" &
sleep 1
wait_until_awake localhost $CD_BASE_PORT
exec_n_test chkpyr2.py localhost $CD_BASE_PORT start_acq_converter
