#!/bin/sh
# -*- coding: utf-8 -*-
# 
# Copyright 2012-2017 Frédéric Magniette, Miguel Rubio-Roy
# This file is part of Pyrame.
if test $# -lt 6
then 
  echo "usage: $0 data_source plot_name chan_x chan_y chan_z type [color]"
  echo "         type: can be either graph, histo or 3D"
  echo "         3D plots: chan_z is ignored; use undef"
  echo "         histograms: chan_y and chan_z are ignored; use undef"
  echo "         the default color is 1 (black)"
  exit 1
fi
chkpyr2.py localhost DP_PORT new_plot_dp "$@"  
