#!/usr/bin/env python2
# -*- coding: utf-8 -*-
# 
# Copyright 2012-2017 Frédéric Magniette, Miguel Rubio-Roy
# This file is part of Pyrame.
# 
# Pyrame is free software: you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# 
# Pyrame is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
# 
# You should have received a copy of the GNU Lesser General Public License
# along with Pyrame.  If not, see <http://www.gnu.org/licenses/>

import vicp
import sys
x = vicp.device()
x.deviceAddress = "10.220.0.140"
x.connect()
x.send("*CLS ; INE 1 ; *SRE 1",True,False,False)
count = 0
while x.serialPoll():
    x.send("C1:WF?",True,False,False)
    bytesRead,replyBuf = x.read(False)
    count += bytesRead
    i = 0
    for i in range(bytesRead):
        if not (i % 16): print("{0: >6d} -> {1: >6d}:  ".format(i,i+16)),
        if ord(replyBuf[i])<32 or ord(replyBuf[i])>127:
            print("{0:2x}".format(ord(replyBuf[i]))),
        else:
            print("{0: >2s}".format(replyBuf[i])),
        i += 1
        if not (i % 16): print(" ")
    print(" ")
    x.send("*CLS ; INE 1 ; *SRE 1",True,False,False)

x.disconnect()

