#!/bin/sh
# -*- coding: utf-8 -*-
# 
# Copyright 2012-2017 Frédéric Magniette, Miguel Rubio-Roy
# This file is part of Pyrame.
. /opt/pyrame/ports.sh
if test $# -lt 5
then
  echo "usage $0 ki_707b_id slot bank row column"
  echo "    *slot* and *column* are decimal integers."
  echo "    depending on the card installed"
  echo "    *bank* is either 'none' or a decimal integer."
  echo "    *row* is either a decimal integer 1-8 or a letter a-z."
  exit 1
fi

chkpyr2.py localhost $KI_707B_PORT close_ki_707b "$@"
