#!/bin/sh
# -*- coding: utf-8 -*-
# 
# Copyright 2012-2017 Frédéric Magniette, Miguel Rubio-Roy
# This file is part of Pyrame.
. /usr/local/bin/unit_test_lib.sh
. /opt/pyrame/ports.sh

echo 
echo 
echo "RC TESTS"
echo
if [ ! -d unit_tests ]; then
  echo "no unit_tests directory"
  exit 1
fi
clean_all
for unit_test in `ls unit_tests`; do
  autolauncher.py -n > server.trace 2>&1 &
  wait_until_awake localhost $RC_PORT
  wait_until_awake localhost $RUNDB_PORT
  wait_until_awake localhost $SMTEST_PORT
  exec_sub_unit_test ./unit_tests/$unit_test
  clean_all
done

clean_all
echo "all tests passed"
