#!/bin/sh
# -*- coding: utf-8 -*-
# 
# Copyright 2012-2017 Frédéric Magniette, Miguel Rubio-Roy
# This file is part of Pyrame.
. /opt/pyrame/ports.sh
if test $# -lt 2
then
    echo "usage $0 run recursive [--remove]"
    echo "      recursive can be true or false"
    echo "      use --remove to remove run from the filesystem, too"
    exit 1
fi
if test $# -gt 2 && test "$3" != "--remove"; then
  echo "invalid 3rd parameter. It can only be --remove"
  exit 1
fi
chkpyr2.py localhost $RUNDB_PORT del_run_rundb "$1" "$2"
if test $? -eq 1; then
  exit 1
fi
if test $# -gt 2 && test "$3" = "--remove"; then
  echo "removing $1"
  rm -rf "$1"
fi
