function init(...)
    local arg={...}
    print("init module")
    submod_setmyport(9007)
    if (arg~=nil) then
       for i,v in ipairs(arg) do
           count=i-1
           print("arg "..count.." : "..tostring(v))
       end
    end
end

--pyrapi:void_test:
function void_test()
    retcode,res=submod_setvar("system","x","2")
    print("result of setvar "..retcode..","..res)
    -- print("inside lua void code")
    return 1,"void()"
end

--pyrapi:getmyport_test:
function getmyport_test()
    return submod_getmyport()
end

--pyrapi:getmyfile_test:
function getmyfile_test()
    return submod_getmyfile()
end

--pyrapi:onearg_test:arg1
function onearg_test(arg1)
    return 1,"onearg("..arg1..")"
end

--pyrapi:twoargs_test:arg1,arg2
function twoargs_test(arg1,arg2)
   return 1,"twoargs("..arg1..","..arg2..")"
end

--pyrapi:fail_test:
function fail_test()
    return 0,"fail()"
end

--pyrapi:varmod_test:
function varmod_test()
    retcode,res=submod_execcmd("setvar@varmod","id","default","x","2")
    if retcode==0 then
        return 0,"cant setvar: "..res
    end
    return 1,"ok"
end
