#!/bin/sh
# -*- coding: utf-8 -*-
# 
# Copyright 2012-2015 Frédéric Magniette, Miguel Rubio-Roy
# This file is part of Pyrame.
. /usr/local/bin/unit_test_lib.sh
. /opt/pyrame/ports.sh

clean_all

DEVNULL=/dev/null
#VARMOD_SINK="varmod.trace"
#GEN_SINK="gen.trace"
#CONS_SINK="cons.trace"
VARMOD_SINK=$DEVNULL
GEN_SINK=$DEVNULL
CONS_SINK=$DEVNULL

cmdmod /opt/pyrame/cmd_varmod.xml > $VARMOD_SINK 2>&1 &
cmdmod /opt/pyrame/cmd_gen.xml -a 50 > $GEN_SINK 2>&1 &
sleep 0.5s
cmdmod /opt/pyrame/cmd_cons.xml > $CONS_SINK 2>&1 &

wait_until_awake localhost $VARMOD_PORT
wait_until_awake localhost 35000
wait_until_awake localhost 35001

OUTPUT=results/test_d_el_`date +%Y%m%d%H%M`.txt

#./test_d_el 20 20 1 20000 20000 1 50 0 -1 >> $OUTPUT
./test_d_el 50 500 50 20000 20000 1 30 0 -5 >> $OUTPUT
./test_d_el 300 5000 50 20000 20000 1 0 0 -5 >> $OUTPUT

clean_all
