#!/bin/sh
# -*- coding: utf-8 -*-
# 
# Copyright 2012-2017 Frédéric Magniette, Miguel Rubio-Roy
# This file is part of Pyrame.
. /usr/local/bin/unit_test_lib.sh
. /opt/pyrame/ports.sh

date >> perf_results.txt

clean_all

echo "C:" >> perf_results.txt
/usr/bin/cmdmod /opt/pyrame/cmd_test_c.xml &
wait_until_awake localhost $TEST_PORT
./test_perf >> perf_results.txt

clean_all

echo "C++:" >> perf_results.txt
/usr/bin/cmdmod /opt/pyrame/cmd_test_cpp.xml &
wait_until_awake localhost $TEST_PORT
./test_perf >> perf_results.txt

clean_all

echo "Lua:" >> perf_results.txt
/usr/bin/cmdmod /opt/pyrame/cmd_test_lua.xml &
wait_until_awake localhost $TEST_PORT
./test_perf >> perf_results.txt

clean_all

echo "Python:" >> perf_results.txt
/usr/bin/cmdmod /opt/pyrame/cmd_test_python.xml &
wait_until_awake localhost $TEST_PORT
./test_perf >> perf_results.txt

clean_all

echo "Sh:" >> perf_results.txt
/usr/bin/cmdmod /opt/pyrame/cmd_test_sh.xml &
wait_until_awake localhost $TEST_PORT
./test_perf >> perf_results.txt

clean_all

echo "" >> perf_results.txt
